#include "BarneyBarPager.h"

BarneyBarPager::BarneyBarPager( int left ):
	BView(BRect(left,1,left+100,16), "BarneyBarPager", B_FOLLOW_LEFT | B_FOLLOW_TOP, 
	B_WILL_DRAW )
{
	NumWorkspaces = count_workspaces();
	CurrentWorkspace = current_workspace();
	
	ResizeTo( (NumWorkspaces*16)-1, 15);
	
	SetViewColor( 184, 184, 184, 255 );
}

void BarneyBarPager::MouseDown( BPoint point )
{
	CurrentWorkspace=(int)point.x/16;
	activate_workspace(CurrentWorkspace);
	Invalidate();
}

void BarneyBarPager::Draw( BRect updateRect )
{
	int i;
	
	for ( i=0; i<NumWorkspaces; i++ )
	{
		if ( CurrentWorkspace == i )
		{
			SetHighColor( 100, 100, 100, 255 );
			FillRect( BRect(i*16, 0, i*16+15, 15), B_SOLID_HIGH );		
		}
		
		SetHighColor( 239, 239, 239, 255 );
		StrokeLine( BPoint(i*16, 15), BPoint((i*16)+15, 15), B_SOLID_HIGH );
		StrokeLine( BPoint((i*16)+15, 0), BPoint((i*16)+15, 15), B_SOLID_HIGH );
				
		SetHighColor( 152, 152, 152, 255 );
		StrokeLine( BPoint(i*16, 0), BPoint((i*16)+15, 0), B_SOLID_HIGH );
		StrokeLine( BPoint(i*16, 0), BPoint((i*16), 15), B_SOLID_HIGH );
	}
}